<?php

class sessCache extends Cache {
  var $content = array();
  
  function page_fast_cache() {
    return $this->fast_cache;
  }
  
  function __construct($bin) {
    global $conf;
    
    $this->key = 'cache:'.$bin;
    if (session_id() == NULL) session_start();
    if (!is_array($_SESSION[$this->key])) $this->flush();
    
    parent::__construct($bin);
  }
  
  function get($key) {
    syslog(LOG_NOTICE, 'get a '.$key);
    return $_SESSION[$this->key][$key];
  }
  
  function set($key, $value, $expire = CACHE_PERMANENT, $headers = NULL) {
    syslog(LOG_NOTICE, 'set a '.$key);
    $cache->data = $value;
    $cache->expire = $expire;
    $cache->headers = $headers;
    $cache->created = time();
    
    $_SESSION[$this->key][$key] = $cache;
  }
  
  function delete($key) {
    syslog(LOG_NOTICE, 'del a '.$key);
    unset($_SESSION[$this->key][$key]);
  }
  
  function flush() {
    syslog(LOG_NOTICE, 'flush');
    $_SESSION[$this->key] = array();
  }
}
